Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002267TestLinkReportspublic2009-03-24 02:242009-05-11 15:55
Reporterbizob28 
Assigned Toamitkhullar 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.2 
Summary0002267: Error when clicking a linked test case in Failed/Block Test Cases within Reports and Metrics
DescriptionI receive error every time I click a linked test cases within Failed and Blocked Test Cases reports. This instance of TestLink was upgraded from 1.7.5.

Steps to Reproduce:
Assumption: Test cases are assigned to a test plan ad have been executed.
1. Select Results
2. Click Test Plan
3. Click Failed Test Cases.
4. Select linked Test Case.

Expected Result:
User is taken to details of test case

Actual Result:
Error is thrown:
ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1 - SELECT id,name FROM nodes_hierarchy WHERE id IN ()

THE MESSAGE :: SQL [24] executed [took 0.0003 secs][all took 0.1231 secs]: SELECT id,name FROM nodes_hierarchy WHERE id IN () Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0005975)
amitkhullar (reporter)
2009-03-25 13:38

Fixed the issue, you can get the latest update from 1.8.1 branch and verify the same,
let me know if any issues.

Amit
(0006351)
amitkhullar (reporter)
2009-04-13 17:22

Wasnt fixed properly

Amit
(0006352)
amitkhullar (reporter)
2009-04-13 17:36

and HEAD also

Amit

- Issue History
Date Modified Username Field Change
2009-03-24 02:24 bizob28 New Issue
2009-03-24 16:39 fman Status new => assigned
2009-03-24 16:39 fman Assigned To => amitkhullar
2009-03-25 13:38 amitkhullar Note Added: 0005975
2009-03-25 13:38 amitkhullar Status assigned => feedback
2009-03-25 13:38 amitkhullar Resolution open => fixed
2009-03-25 13:38 amitkhullar Projection none => minor fix
2009-03-25 13:38 amitkhullar ETA none => < 1 day
2009-03-25 13:38 amitkhullar Fixed in Version => 1.8.1 (bug fixes)
2009-03-25 13:39 amitkhullar Status feedback => resolved
2009-04-13 17:22 amitkhullar Status resolved => assigned
2009-04-13 17:22 amitkhullar Resolution fixed => reopened
2009-04-13 17:22 amitkhullar Note Added: 0006351
2009-04-13 17:36 amitkhullar Status assigned => resolved
2009-04-13 17:36 amitkhullar Fixed in Version 1.8.1 => 1.8.2 (bug fixing)
2009-04-13 17:36 amitkhullar Resolution reopened => fixed
2009-04-13 17:36 amitkhullar Note Added: 0006352
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker